Summary: Simple virtual domains monitor which embed themselves in the GNOME panel
Name: gnome-applet-vm
Version: 0.1.2
Release: 1%{dist}
%define upstreamname %{name}-%{version}
License: GPL
Group: User Interface/Desktops
Source: %{upstreamname}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://people.redhat.com/kzak/gnome-applet-vm
ExclusiveArch: i386 x86_64

%define glib2_version 2.2.0
%define pango_version 1.2.0
%define gtk2_version 2.6.0
%define libgnomeui_version 2.3.0
%define gnome_panel_version 2.5.91
%define libbonoboui_version 2.3.0
%define libglade_version 2.4.0

BuildRequires:  libvirt-devel
BuildRequires:  xen-devel
BuildRequires:  glib2-devel >= %{glib2_version}
BuildRequires:  gtk2-devel >= %{gtk2_version}
BuildRequires:  libgnomeui-devel >= %{libgnomeui_version}
BuildRequires:  libglade2-devel >= %{libglade_version}
BuildRequires:  gnome-panel-devel >= %{gnome_panel_version}
BuildRequires:  pango-devel >= %{pango_version}
BuildRequires:  /usr/bin/automake
BuildRequires:  libbonoboui-devel >= %{libbonoboui_version}
BuildRequires:  libtool autoconf gettext
BuildRequires:  gnome-doc-utils
BuildRequires:  perl-XML-Parser
BuildRequires:  pkgconfig

Prereq:         gtk2 >= %{gtk2_version}
Requires:	xen
Requires:	libvirt
Requires:	gnome-panel >= %{gnome_panel_version}
Requires:	usermode
Requires:	virt-manager

Requires(post): /sbin/ldconfig, /usr/bin/gconftool-2, /usr/bin/scrollkeeper-update
Requires(postun): /sbin/ldconfig

%description
The gnome-applet-vm is GNOME panel applet for monitoring and controlling 
locally-running virtual machines.

%prep
%setup -q -n %{upstreamname}

%build
%configure --enable-consolehelper
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# Clean up unpackaged files
rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper
# userhelper
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
ln -s consolehelper $RPM_BUILD_ROOT/%{_bindir}/vm_applet_wrapper

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/usr/bin/scrollkeeper-update

export GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/vm-applet.schemas > /dev/null

%postun 
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/pixmaps
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gnome/help/*
%{_datadir}/omf/*
%{_libdir}/bonobo/servers/*
%{_libexecdir}/*
%{_sbindir}/*
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*
%config %{_sysconfdir}/pam.d/vm_applet_wrapper
%config %{_sysconfdir}/security/console.apps/vm_applet_wrapper

%changelog
* Wed Nov 22 2006 Karel Zak <kzak@redhat.com> 0.1.2-1
- sync with upstream
- remove dependence on dbus libs
- fix #211539, #211560 - gnome-applet-vm traceback (virt-manager usage)

* Wed Oct 11 2006 Karel Zak <kzak@redhat.com> 0.1.0-2
- rebuild

* Wed Sep 27 2006 Karel Zak <kzak@redhat.com> 0.1.0-1
- upgrade to stable upstream release
- fix build requires
- fix #205930 - missing dependency for virt-manager

* Thu Jul 27 2006 Jeremy Katz <katzj@redhat.com> - 0.1.0-0.rc1.2
- BR xen-devel

* Thu Jul 27 2006 Jeremy Katz <katzj@redhat.com> - 0.1.0-0.rc1.1
- rebuild

* Thu Jul 20 2006 Karel Zak <kzak@redhat.com> 0.1.0-0.rc1
- upgrade to version 0.1.0rc1
- fix spec file

* Mon Apr  3 2006 Karel Zak <kzak@redhat.com> 0.0.8-1
- update to version 0.0.8
- fix postun section

* Thu Mar 16 2006 Karel Zak <kzak@redhat.com> 0.0.7-1
- update to version 0.0.7

* Fri Feb 10 2006 Karel Zak <kzak@redhat.com> 0.0.6-1
- compile against libvirt instead libvir

* Fri Jan 27 2006 Karel Zak <kzak@redhat.com> 0.0.5-1
- public release

* Thu Jan  5 2006 Karel Zak <kzak@redhat.com> 0.0.3-1
- new upstream version

* Tue Dec 13 2005 Karel Zak <kzak@redhat.com> 0.0.1-1
- created
